Bug 1016596 - (CVE-2013-4410) CVE-2013-4410 ReviewBoard: access-control problems with REST API
CVE-2013-4410 ReviewBoard: access-control problems with REST API
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131011,repor...
: Security
Depends On: 1017999 1018000
Blocks: 1016713
  Show dependency treegraph
 
Reported: 2013-10-08 07:38 EDT by Stephen Gallagher
Modified: 2015-01-05 12:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2013-10-08 07:38:37 EDT
=== Summary ===
Certain functions within Review Board's REST API were not properly
validating authorization decisions against access-control lists.

=== Affected Deployments ===
This CVE affects Review Board deployments using the "local sites"
feature or those using "private review requests".

=== Scope ===
If the attacker was aware of specific database table IDs, it was
possible to gain access to restricted data. This vulnerability does
not lead directly to a compromise of a machine or denial of service,
but may expose sensitive information such as details about other
embargoed security issues or confidential intellectual property.

This attack would be possible through the remote public API.

=== Resolution ===
Code was added to ensure that such objects are now filtered out of
requests made by accounts that do not have access to this information.

=== Acknowledgements ===
Christian Hammond, lead upstream developer of Review Board is credited
with discovering and correcting this vulnerability.

=== Embargo Information ===
Upstream has coordinated with packagers of various distributions and cloud application vendors to lift the embargo on Thursday, October 8, 2013. This BZ should become public at that time.


Upstream has requested that Red Hat please coordinate the issuance of a CVE for this vulnerability.
Comment 1 Vincent Danen 2013-10-08 10:40:23 EDT
The embargo lifts Thursday October 10th.
Comment 2 Murray McAllister 2013-10-10 19:51:52 EDT
Created ReviewBoard tracking bugs for this issue:

Affects: fedora-all [bug 1017999]
Affects: epel-6 [bug 1018000]
Comment 4 Fedora Update System 2013-10-28 23:39:41 EDT
ReviewBoard-1.7.16-2.fc19, python-djblets-0.7.21-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-10-28 23:43:25 EDT
ReviewBoard-1.7.16-2.fc18, python-djblets-0.7.21-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-11-01 17:09:23 EDT
python-djblets-0.7.21-1.el6, ReviewBoard-1.7.16-2.el6.1 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-11-10 01:46:23 EST
ReviewBoard-1.7.16-2.fc20, python-djblets-0.7.21-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.